net.sf.jasperreports.engine.analytics.dataset

## Class BaseDataMeasure

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataMeasure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataMeasure, JRCloneable
  Direct Known Subclasses:
    DesignDataMeasure

      public class BaseDataMeasure
      extends java.lang.Object
      implements DataMeasure, java.io.Serializable

  Version:
    $Id: BaseDataMeasure.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CalculationEnum` | `calculation`
    `protected java.lang.String` | `incrementerFactoryClassName`
    `protected JRExpression` | `labelExpression`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `valueClassName`
    `protected JRExpression` | `valueExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseDataMeasure()`
    `BaseDataMeasure(DataMeasure measure, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `CalculationEnum` | `getCalculation()`
    `java.lang.Class<?>` | `getIncrementerFactoryClass()`
    `java.lang.String` | `getIncrementerFactoryClassName()`
    `JRExpression` | `getLabelExpression()`
    `java.lang.String` | `getName()`
    `java.lang.Class<?>` | `getValueClass()`
    `java.lang.String` | `getValueClassName()`
    `JRExpression` | `getValueExpression()`
    `protected void` | `setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)`
    `protected void` | `setValueClassName(java.lang.String valueClassName)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### labelExpression

          protected JRExpression labelExpression

    - #### valueClassName

          protected java.lang.String valueClassName

    - #### valueExpression

          protected JRExpression valueExpression

    - #### calculation

          protected CalculationEnum calculation

    - #### incrementerFactoryClassName

          protected java.lang.String incrementerFactoryClassName

  - ### Constructor Detail

    - #### BaseDataMeasure

          public BaseDataMeasure()

    - #### BaseDataMeasure

          public BaseDataMeasure(DataMeasure measure,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `DataMeasure`

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `DataMeasure`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Specified by:
        `getValueClassName` in interface `DataMeasure`

    - #### setValueClassName

          protected void setValueClassName(java.lang.String valueClassName)

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Specified by:
        `getValueClass` in interface `DataMeasure`

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `DataMeasure`

    - #### getCalculation

          public CalculationEnum getCalculation()

      Specified by:
        `getCalculation` in interface `DataMeasure`

    - #### getIncrementerFactoryClassName

          public java.lang.String getIncrementerFactoryClassName()

      Specified by:
        `getIncrementerFactoryClassName` in interface `DataMeasure`

    - #### getIncrementerFactoryClass

          public java.lang.Class<?> getIncrementerFactoryClass()

      Specified by:
        `getIncrementerFactoryClass` in interface `DataMeasure`

    - #### setIncrementerFactoryClassName

          protected void setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com